> ## Documentation Index
> Fetch the complete documentation index at: https://docs.akapulu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# REST API Overview

> Overview of Akapulu Labs API authentication and base usage.

The Akapulu Labs API is the programmatic interface for building with Akapulu Labs.

<Note>
  For building a browser based UI, we recommend using the the [Akapulu Labs Web SDK](/web-sdk/overview) instead of interfacing with this API directly: its client and server libraries implement the connect and updates flow, session state, realtime media wiring, and conversation detail and recording retrieval, so you can focus on your custom scenarios and application logic.
</Note>

## Authentication

All Akapulu Labs API endpoints require a Bearer API key in the `Authorization` header.

```bash theme={null}
Authorization: Bearer <YOUR_AKAPULU_API_KEY>
```

## API Keys

To get started, create an account, sign in to Akapulu Labs, then create an [API key](https://akapulu.com/api-keys/) and send it in the `Authorization` header for every request.

## Base URL

```bash theme={null}
https://akapulu.com/api
```

## Example Request

```bash theme={null}
curl -X POST "https://akapulu.com/api/conversations/connect/" \
  -H "Authorization: Bearer <YOUR_AKAPULU_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "scenario_id": "<YOUR_SCENARIO_ID>",
    "avatar_id": "<YOUR_AVATAR_ID>",
    "runtime_vars": {
      "user_name": "Alex",
      "company_name": "Acme Corp",
      "support_ticket_id": "TICK-1024"
    }
  }'
```

## Getting Started

Use **Starting a conversation** for connecting and live status polling, then **Transcripts and recordings** conversation analysis.
